commit:     3b489d9604c80f3ec45826d21fe16c0ca6836e5a
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 14:49:46 2022 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 14:49:57 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b489d96

media-sound/mpg123: bump to 1.31.1

Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 media-sound/mpg123/Manifest             |   1 +
 media-sound/mpg123/mpg123-1.31.1.ebuild | 110 ++++++++++++++++++++++++++++++++
 2 files changed, 111 insertions(+)

diff --git a/media-sound/mpg123/Manifest b/media-sound/mpg123/Manifest
index 0949246f914b..ea41077a3d3a 100644
--- a/media-sound/mpg123/Manifest
+++ b/media-sound/mpg123/Manifest
@@ -1 +1,2 @@
 DIST mpg123-1.30.2.tar.bz2 1093138 BLAKE2B 
03247431bf58886c7a942fb00f11d7e82cc12f95cb30c95fc01bb986e32d8245349dba6fd2a0ada33918542ce8944037f9899512cc6ffa013b884a009dbe8cef
 SHA512 
e2e9279799f3917c9ecbcb2ccdc2c246bda50317dbfdd7ba3d56281b7b4f5b1928442fc8e712fbf90543159afc703d1ab8ceb7e3c1c038e1547b82d1616bdc82
+DIST mpg123-1.31.1.tar.bz2 1093324 BLAKE2B 
47a845a5909874fe1e41a3a6b0ac57973f7bba69517b4ce6204a68f9f8c93b079062407fd6c1a9db42b8c7b483d3ba95a7257d1a8268b03f858f20d3695979de
 SHA512 
d007ea94a99fde60919a173320e124c9f0079a28452533eeceb9c7bfed43810b46384ae45459ef6ac185e27ec06e153723bb588aaa4955ee2ad1c51dc58eb132

diff --git a/media-sound/mpg123/mpg123-1.31.1.ebuild 
b/media-sound/mpg123/mpg123-1.31.1.ebuild
new file mode 100644
index 000000000000..85809e52a0e0
--- /dev/null
+++ b/media-sound/mpg123/mpg123-1.31.1.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs libtool multilib-minimal
+
+DESCRIPTION="a realtime MPEG 1.0/2.0/2.5 audio player for layers 1, 2 and 3"
+HOMEPAGE="https://www.mpg123.org/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~x86-solaris"
+IUSE="cpu_flags_x86_3dnow cpu_flags_x86_3dnowext cpu_flags_ppc_altivec alsa 
coreaudio int-quality ipv6 jack cpu_flags_x86_mmx nas oss portaudio pulseaudio 
sdl cpu_flags_x86_sse"
+
+# No MULTILIB_USEDEP here since we only build libmpg123 for non native ABIs.
+# Note: build system prefers libsdl2 > libsdl. We could in theory add both
+# but it's tricky when it comes to handling switching between them properly.
+# We'd need a USE flag for both sdl1 and sdl2 and to make them clash.
+RDEPEND="
+       dev-libs/libltdl:0
+       alsa? ( media-libs/alsa-lib )
+       jack? ( virtual/jack )
+       nas? ( media-libs/nas )
+       portaudio? ( media-libs/portaudio )
+       pulseaudio? ( media-sound/pulseaudio )
+       sdl? ( media-libs/libsdl2 )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       sys-devel/libtool
+       virtual/pkgconfig
+"
+IDEPEND="app-eselect/eselect-mpg123"
+
+DOCS=( AUTHORS ChangeLog NEWS NEWS.libmpg123 README )
+
+src_prepare() {
+       default
+       elibtoolize # for Darwin bundles
+}
+
+multilib_src_configure() {
+       local _audio=dummy
+       local _output=dummy
+       local _cpu=generic_fpu
+
+       # Build fails without -D_GNU_SOURCE like this:
+       # error: ‘struct hostent’ has no member named ‘h_addr’
+       append-cflags -D_GNU_SOURCE
+
+       append-lfs-flags
+
+       if $(multilib_is_native_abi) ; then
+               local flag
+               for flag in nas portaudio sdl oss jack alsa pulseaudio 
coreaudio; do
+                       if use ${flag}; then
+                               _audio+=" ${flag/pulseaudio/pulse}"
+                               _output=${flag/pulseaudio/pulse}
+                       fi
+               done
+       fi
+
+       use cpu_flags_ppc_altivec && _cpu=altivec
+
+       if [[ $(tc-arch) == amd64 || ${ARCH} == x64-* ]]; then
+               use cpu_flags_x86_sse && _cpu=x86-64
+       elif use x86 && gcc-specs-pie ; then
+               # Don't use any mmx, 3dnow, sse and 3dnowext
+               # bug #164504
+               _cpu=generic_fpu
+       else
+               use cpu_flags_x86_mmx && _cpu=mmx
+               use cpu_flags_x86_3dnow && _cpu=3dnow
+               use cpu_flags_x86_sse && _cpu=x86
+               use cpu_flags_x86_3dnowext && _cpu=x86
+       fi
+
+       local myconf=(
+               --with-optimization=0
+               --with-audio="${_audio}"
+               --with-default-audio=${_output}
+               --with-cpu=${_cpu}
+               --enable-network
+               $(use_enable ipv6)
+               --enable-int-quality=$(usex int-quality)
+       )
+
+       multilib_is_native_abi || myconf+=( --disable-modules )
+
+       ECONF_SOURCE="${S}" econf "${myconf[@]}"
+
+       if ! $(multilib_is_native_abi) ; then
+               sed -i -e 's:src doc:src/libmpg123:' Makefile || die
+       fi
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       mv "${ED}"/usr/bin/mpg123{,-mpg123}
+       find "${ED}" -type f -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       eselect mpg123 update ifunset
+}
+
+pkg_postrm() {
+       eselect mpg123 update ifunset
+}

Reply via email to